List Executors by Provider
curl --request GET \
--url https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors \
--header 'Authorization: Bearer <token>'import requests
url = "https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"category": "HTTP",
"id": "http",
"name": "HTTP Request",
"providerId": "",
"version": "v1"
}
]{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}List Executors by Provider
Use this endpoint to retrieve all executors that belong to a specific provider.
GET
/
v1
/
catalog
/
providers
/
{id}
/
executors
List Executors by Provider
Authorizations
JWT bearer token issued by the identity provider. Send it in the Authorization header as Bearer <token>.
Path Parameters
Unique identifier of the catalog provider.
Response
Indicates that the request was successful and the response contains the requested data.
Functional category of the executor.
Example:
"HTTP"
Unique identifier of the executor.
Example:
"http"
Display name of the executor.
Example:
"HTTP Request"
ID of the provider this executor belongs to.
Example:
""
Version of the executor.
Example:
"v1"
Was this page helpful?
⌘I

